#!/bin/bash

#
#Save base/build dir
#
base=${PWD}
patchdir="$base/patches"


#
# Check , then get package versions 
#
if [ ! -e ${base}/package-versions ]
then
echo The file ${base}/package-versions must exist 
exit 1
fi
#
source ${base}/package-versions
#

mkdir -p ${patchdir}

#############################################################
# Binutils
#############################################################
#
# Allready included
#

#############################################################
# GCC
#############################################################
#
# Allready included
#

#############################################################
# Insight/GDB
#############################################################
cd ${base}
cd ${patchdir}
mkdir ${insightbase}
cd ${insightbase}
rm -f *


#
# New way of getting patches , get the full tarball
#
wget -c  --user-agent=MyBrowser http://www.freebsd.org/cgi/cvsweb.cgi/~checkout~/ports/devel/avr-gdb/files/files.tar.gz?tarball=1
tar xvzf *
cd files

mv * ..
cd ..
rm -f files/*
rmdir files
rm -f files*
cd ${base}

#############################################################
# Avrdude - empty for now
#############################################################

#############################################################
# Avarice - empty for now
#############################################################

#############################################################
# MPFR - Get the 3.0.0 cumulative patch
#############################################################
cd ${base}
cd ${patchdir}
mkdir ${mpfrbase}
cd ${mpfrbase}
rm -f *
#
wget -c  --user-agent=MyBrowser http://www.mpfr.org/mpfr-current/allpatches
#
