/*
 * Prototype test 004
 * ------------------
 * 
 * CCPIO helper
 *
 */

#include "CCPIO.h"
#include <avr/io.h>


void CCPIOWrite(volatile uint8_t * address, uint8_t value) 
{
  volatile uint8_t * tmpAddr = address;
   
  asm volatile
  (
      "movw r30,  %0"     "\n\t"
      "ldi  r16,  %2"     "\n\t"
      "out   %3, r16"     "\n\t"
      "st     Z,  %1"     "\n\t"
      :
      : "r" (tmpAddr), "r" (value), "M" (CCP_IOREG_gc), "i" (&CCP)
      : "r16", "r30", "r31"
  );
}

