#
# Setup Patch Dirs
#
BINUTILS_DIR=http://www.freebsd.org/cgi/cvsweb.cgi/~checkout~/ports/devel/avr-binutils/files
GCC_DIR=http://www.freebsd.org/cgi/cvsweb.cgi/~checkout~/ports/devel/avr-gcc-42/files
#
#Cleanup
#
rm -f *.diff
#
# Get binutils patches
#
wget -c  --user-agent=MyBrowser $BINUTILS_DIR/patch-aa
#
# Rename to our patchname
#
mv patch-aa binutils-patch-aa.diff
#
wget -c  --user-agent=MyBrowser $BINUTILS_DIR/patch-coff-avr
#
# Rename to our patchname
#
mv patch-coff-avr binutils-patch-coff-avr.diff
#
wget -c  --user-agent=MyBrowser $BINUTILS_DIR/patch-data-origin
#
# Rename to our patchname
#
mv patch-data-origin binutils-patch-data-origin.diff
#
wget -c  --user-agent=MyBrowser $BINUTILS_DIR/patch-newdevices
#
# Rename to our patchname
#
mv patch-newdevices binutils-patch-newdevices.diff
#
wget -c  --user-agent=MyBrowser $BINUTILS_DIR/patch-newsections
#
# Rename to our patchname
#
mv patch-newsections binutils-patch-newsections.diff
#
wget -c  --user-agent=MyBrowser $BINUTILS_DIR/patch-wrong-arch
#
# Rename to our patchname
#
mv patch-wrong-arch binutils-patch-wrong-arch.diff
#
wget -c  --user-agent=MyBrowser $BINUTILS_DIR/patch-xmega
#
# Rename to our patchname
#
mv patch-xmega binutils-patch-xmega.diff
#
wget -c  --user-agent=MyBrowser $BINUTILS_DIR/patch-zzz-atmega128rfa1
#
# Rename to our patchname
#
mv patch-zzz-atmega128rfa1 binutils-patch-zzz-atmega128rfa1.diff
#
#
# Get WinAVR binutils avr-size patch , NOTE ... 2.19 is in the patch path
#
wget -c  --user-agent=MyBrowser http://winavr.cvs.sourceforge.net/viewvc/*checkout*/winavr/patches/binutils/2.19/30-binutils-2.19-avr-size.patch
#
# Rename to our patchname
#
mv 30-binutils-2.19-avr-size.patch binutils-patch-avr-size.diff



#
# Get gcc patches
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-0b-constants
#
# Rename to our patchname
#
mv patch-0b-constants gcc-patch-0b-constants.diff
#
#
#wget -c  --user-agent=MyBrowser $GCC_DIR/patch-attribute_alias
#
# Rename to our patchname
#
#mv patch-attribute_alias gcc-patch-attribute_alias.diff
#
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-bug11259
#
# Rename to our patchname
#
mv patch-bug11259 gcc-patch-bug11259.diff
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-bug25672
#
# Rename to our patchname
#
mv patch-bug25672 gcc-patch-bug25672.diff
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-bug30243
#
# Rename to our patchname
#
mv patch-bug30243 gcc-patch-bug30243.diff
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-constraint-desc
#
# Rename to our patchname
#
mv patch-constraint-desc gcc-patch-constraint-desc.diff
#
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-doc-progmem
#
# Rename to our patchname
#
mv patch-doc-progmem gcc-patch-doc-progmem.diff
#
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-dwarf
#
# Rename to our patchname
#
mv patch-dwarf gcc-patch-dwarf.diff
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-libiberty-Makefile.in
#
# Rename to our patchname
#
mv patch-libiberty-Makefile.in gcc-patch-libiberty-Makefile.in.diff
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-newdevices
#
# Rename to our patchname
#
mv patch-newdevices gcc-patch-newdevices.diff
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-os_main-os_task
#
# Rename to our patchname
#
mv patch-os_main-os_task gcc-patch-os_main-os_task.diff
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-zero_extend
#
# Rename to our patchname
#
mv patch-zero_extend gcc-patch-zero_extend.diff
#
#
wget -c  --user-agent=MyBrowser $GCC_DIR/patch-zz-atmega256x
#
# Rename to our patchname
#
mv patch-zz-atmega256x gcc-patch-zz-atmega256x.diff
#

