#include <avr/pgmspace.h>

void uart_init(void);
void  uart_putc(uint8_t data);
void uart_putf(void *buffer);
void uart_puts(char *buffer);
void uart_puthexnibble(uint8_t data);
void uart_puthexbyte(uint8_t data);
void uart_putdecbyte(uint8_t data);
void uart_eol(void);


/* macros, for direct string output from flash */
#define uart_puts_P(s) uart_putf(PSTR(s))
